Halide 22.0.0 Halide compiler and libraries

Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::GT Struct Reference

Is the first expression greater than the second. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::GT:

## Static Public Member Functions
static Expr | make (Expr a, Expr b)

## Public Attributes
Expr | a
Expr | b
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count. More...
IRNodeType | node_type
| Each IR node subclass has a unique identifier. More...

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::GT

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::ExprNode< GT >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
virtual Expr | mutate_expr (IRMutator *v) const =0
Public Member Functions inherited from Halide::Internal::IRNode
virtual void | accept (IRVisitor *v) const =0
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors. More...
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Is the first expression greater than the second.

Definition at line 157 of file IR.h.

## Member Function Documentation

## ◆ make()

static Expr Halide::Internal::GT::make | ( | Expr | a,
|  | Expr | b
| ) |  |
| static

## Member Data Documentation

## ◆ a

Expr Halide::Internal::GT::a

Definition at line 158 of file IR.h.

## ◆ b

Expr Halide::Internal::GT::b

Definition at line 158 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::GT::_node_type = IRNodeType::GT
| static

Definition at line 162 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h